NAME="arc-gtk-theme"
DESC="Flat theme with transparent elements for GTK 2,3,4 and Gnome-Shell"
VERSION="20221218"
FILES=("https://github.com/jnsh/arc-theme/releases/download/$VERSION/arc-theme-$VERSION.tar.xz")
HASHES=("5a84b717de022c673c6af260381542365550f629f43ae99c7ab8b22b4c09024403a1bc06279b40d3560e86d9810683c2e8337799a4cc67ef7aeb93223b5f56a1")
DEPENDS=("arc-icon-theme")

PACKAGE() {
  tar xf arc-theme-$VERSION.tar.xz
  cd arc-theme-$VERSION

  meson --prefix=/usr build    \
    -Dcinnamon_version="5.6"   \
    -Dgnome_shell_version="44" \
    -Dgnome_shell_gresource=true
  meson compile -C build

  meson --prefix=/usr build-solid \
    -Dcinnamon_version="5.6"      \
    -Dgnome_shell_version="44"    \
    -Dtransparency=false          \
    -Dgnome_shell_gresource=true
  meson compile -C build-solid

  DESTDIR="$ROOTDIR" meson install -C build
  DESTDIR="$ROOTDIR" meson install -C build-solid

  cd .. && rm -r arc-theme-$VERSION
}
